#! Flux2D 18.0
lastInstance = ApplicationMagneticTransient2D(domain2D=Domain2DAxisymetric(),
                               coilCoefficient=CoilCoefficientAutomatic(),
                               transientInitialization=TransientInitializationZeroInitialSolution())

Material(name='ALUMINIUM',

         propertyBH=PropertyBhLinear(mur='1'),

         propertyJE=PropertyJeLinear(rho='2.65E-8'),

         volumicMass='2700')


Material(name='COPPER',

         propertyBH=PropertyBhLinear(mur='1'),

         propertyJE=PropertyJeLinear(rho='17E-9'),

         volumicMass='8900')

MechanicalSetCompressibleRemeshing(name='COMPRESSIBLE')


MechanicalSetFixed(name='FIXE')


MechanicalSetTranslation1Axis(name='MOBILE',

                              kinematics=LinearCoupledLoad(initialVelocity='0',

                                                           initialPosition='0',

                                                           internalCharacteristics=LinearLoadCoefficients(mass='0.34',

                                                                                                          friction=LinearFrictionCoefficients(constantFriction='0',

                                                                                                                                              viscousCoefficient='0',

                                                                                                                                              squareSpeedCoefficient='0'),

                                                                                                          spring=LinearSpring(springConstant='-100',

                                                                                                                              equilibriumPosition='0')),

                                                           externalCharacteristics=LinearLoadCoefficients(mass='0',

                                                                                                          friction=LinearFrictionCoefficients(constantFriction='0',

                                                                                                                                              viscousCoefficient='0',

                                                                                                                                              squareSpeedCoefficient='0')),

                                                           minimalStop=LinearStop(position='-7E-3'),

                                                           maximalStop=LinearStop(position='0')),

                              translationAxis=TranslationYAxis(coordSys=CoordSys['XY1']))

importCircuit(filename='THOMSON_ACTUATOR_NR_log1.xcir',
              importValue=1,
              ImportFELink=0)

Color(name='ALUMINIUM',

      code=[132,

            135,

            137])


Color(name='COPPER',

      code=[179,

            103,

            0])


RegionFace(name='AIR_COMP',
           magneticTransient2D=MagneticTransient2DFaceVacuum(),
           color=Color['Turquoise'],
           visibility=Visibility['VISIBLE'],
           mechanicalSet=MechanicalSet['COMPRESSIBLE'])


RegionFace(name='ALUMINIUM_ARMATURE',
           magneticTransient2D=MagneticTransient2DFaceSolidConductor(material=Material['ALUMINIUM'],
                                                                     circuitType=NoCircuit()),
           color=Color['ALUMINIUM'],
           visibility=Visibility['VISIBLE'],
           mechanicalSet=MechanicalSet['MOBILE'])


RegionFace(name='COPPER_ARMATURE',
           magneticTransient2D=MagneticTransient2DFaceSolidConductor(material=Material['COPPER'],
                                                                     circuitType=NoCircuit()),
           color=Color['COPPER'],
           visibility=Visibility['VISIBLE'],
           mechanicalSet=MechanicalSet['MOBILE'])


RegionFace(name='INFINITE : Infinite region',
           magneticTransient2D=MagneticTransient2DFaceVacuum(),
           color=Color['Turquoise'],
           visibility=Visibility['VISIBLE'],
           mechanicalSet=MechanicalSet['FIXE'])


RegionFace(name='TURNS_1',
           magneticTransient2D=MagneticTransient2DFaceSolidConductor(material=Material['COPPER'],
                                                                     circuitType=Circuit(orientation=PositiveOrientation(),
                                                                                         component=SolidConductor2Terminals['SOLIDCONDUCTOR2TERMINALS_1'])),
           color=Color['COPPER'],
           visibility=Visibility['VISIBLE'],
           mechanicalSet=MechanicalSet['FIXE'])


RegionFace(name='TURNS_10',
           magneticTransient2D=MagneticTransient2DFaceSolidConductor(material=Material['ALUMINIUM'],
                                                                     circuitType=Circuit(orientation=PositiveOrientation(),
                                                                                         component=SolidConductor2Terminals['SOLIDCONDUCTOR2TERMINALS_10'])),
           color=Color['COPPER'],
           visibility=Visibility['VISIBLE'],
           mechanicalSet=MechanicalSet['FIXE'])


RegionFace(name='TURNS_11',
           magneticTransient2D=MagneticTransient2DFaceSolidConductor(material=Material['ALUMINIUM'],
                                                                     circuitType=Circuit(orientation=PositiveOrientation(),
                                                                                         component=SolidConductor2Terminals['SOLIDCONDUCTOR2TERMINALS_11'])),
           color=Color['COPPER'],
           visibility=Visibility['VISIBLE'],
           mechanicalSet=MechanicalSet['FIXE'])


RegionFace(name='TURNS_12',
           magneticTransient2D=MagneticTransient2DFaceSolidConductor(material=Material['ALUMINIUM'],
                                                                     circuitType=Circuit(orientation=PositiveOrientation(),
                                                                                         component=SolidConductor2Terminals['SOLIDCONDUCTOR2TERMINALS_12'])),
           color=Color['COPPER'],
           visibility=Visibility['VISIBLE'],
           mechanicalSet=MechanicalSet['FIXE'])


RegionFace(name='TURNS_13',
           magneticTransient2D=MagneticTransient2DFaceSolidConductor(material=Material['ALUMINIUM'],
                                                                     circuitType=Circuit(orientation=PositiveOrientation(),
                                                                                         component=SolidConductor2Terminals['SOLIDCONDUCTOR2TERMINALS_13'])),
           color=Color['COPPER'],
           visibility=Visibility['VISIBLE'],
           mechanicalSet=MechanicalSet['FIXE'])


RegionFace(name='TURNS_14',
           magneticTransient2D=MagneticTransient2DFaceSolidConductor(material=Material['ALUMINIUM'],
                                                                     circuitType=Circuit(orientation=PositiveOrientation(),
                                                                                         component=SolidConductor2Terminals['SOLIDCONDUCTOR2TERMINALS_14'])),
           color=Color['COPPER'],
           visibility=Visibility['VISIBLE'],
           mechanicalSet=MechanicalSet['FIXE'])


RegionFace(name='TURNS_15',
           magneticTransient2D=MagneticTransient2DFaceSolidConductor(material=Material['ALUMINIUM'],
                                                                     circuitType=Circuit(orientation=PositiveOrientation(),
                                                                                         component=SolidConductor2Terminals['SOLIDCONDUCTOR2TERMINALS_15'])),
           color=Color['COPPER'],
           visibility=Visibility['VISIBLE'],
           mechanicalSet=MechanicalSet['FIXE'])


RegionFace(name='TURNS_2',
           magneticTransient2D=MagneticTransient2DFaceSolidConductor(material=Material['ALUMINIUM'],
                                                                     circuitType=Circuit(orientation=PositiveOrientation(),
                                                                                         component=SolidConductor2Terminals['SOLIDCONDUCTOR2TERMINALS_2'])),
           color=Color['COPPER'],
           visibility=Visibility['VISIBLE'],
           mechanicalSet=MechanicalSet['FIXE'])


RegionFace(name='TURNS_3',
           magneticTransient2D=MagneticTransient2DFaceSolidConductor(material=Material['ALUMINIUM'],
                                                                     circuitType=Circuit(orientation=PositiveOrientation(),
                                                                                         component=SolidConductor2Terminals['SOLIDCONDUCTOR2TERMINALS_3'])),
           color=Color['COPPER'],
           visibility=Visibility['VISIBLE'],
           mechanicalSet=MechanicalSet['FIXE'])


RegionFace(name='TURNS_4',
           magneticTransient2D=MagneticTransient2DFaceSolidConductor(material=Material['ALUMINIUM'],
                                                                     circuitType=Circuit(orientation=PositiveOrientation(),
                                                                                         component=SolidConductor2Terminals['SOLIDCONDUCTOR2TERMINALS_4'])),
           color=Color['COPPER'],
           visibility=Visibility['VISIBLE'],
           mechanicalSet=MechanicalSet['FIXE'])


RegionFace(name='TURNS_5',
           magneticTransient2D=MagneticTransient2DFaceSolidConductor(material=Material['ALUMINIUM'],
                                                                     circuitType=Circuit(orientation=PositiveOrientation(),
                                                                                         component=SolidConductor2Terminals['SOLIDCONDUCTOR2TERMINALS_5'])),
           color=Color['COPPER'],
           visibility=Visibility['VISIBLE'],
           mechanicalSet=MechanicalSet['FIXE'])


RegionFace(name='TURNS_6',
           magneticTransient2D=MagneticTransient2DFaceSolidConductor(material=Material['ALUMINIUM'],
                                                                     circuitType=Circuit(orientation=PositiveOrientation(),
                                                                                         component=SolidConductor2Terminals['SOLIDCONDUCTOR2TERMINALS_6'])),
           color=Color['COPPER'],
           visibility=Visibility['VISIBLE'],
           mechanicalSet=MechanicalSet['FIXE'])


RegionFace(name='TURNS_7',
           magneticTransient2D=MagneticTransient2DFaceSolidConductor(material=Material['ALUMINIUM'],
                                                                     circuitType=Circuit(orientation=PositiveOrientation(),
                                                                                         component=SolidConductor2Terminals['SOLIDCONDUCTOR2TERMINALS_7'])),
           color=Color['COPPER'],
           visibility=Visibility['VISIBLE'],
           mechanicalSet=MechanicalSet['FIXE'])

RegionFace(name='TURNS_8',
           magneticTransient2D=MagneticTransient2DFaceSolidConductor(material=Material['ALUMINIUM'],
                                                                     circuitType=Circuit(orientation=PositiveOrientation(),
                                                                                         component=SolidConductor2Terminals['SOLIDCONDUCTOR2TERMINALS_8'])),
           color=Color['COPPER'],
           visibility=Visibility['VISIBLE'],
           mechanicalSet=MechanicalSet['FIXE'])


RegionFace(name='TURNS_9',
           magneticTransient2D=MagneticTransient2DFaceSolidConductor(material=Material['ALUMINIUM'],
                                                                     circuitType=Circuit(orientation=PositiveOrientation(),
                                                                                         component=SolidConductor2Terminals['SOLIDCONDUCTOR2TERMINALS_9'])),
           color=Color['COPPER'],
           visibility=Visibility['VISIBLE'],
           mechanicalSet=MechanicalSet['FIXE'])


assignRegionToFaces(face=[Face[19]],
                    region=RegionFace['INFINITE'])

assignRegionToFaces(face=[Face[18]],
                    region=RegionFace['AIR_COMP'])

assignRegionToFaces(face=[Face[1]],
                    region=RegionFace['ALUMINIUM_ARMATURE'])

assignRegionToFaces(face=[Face[2]],
                    region=RegionFace['COPPER_ARMATURE'])

assignRegionToFaces(face=[Face[3]],
                    region=RegionFace['TURNS_1'])

assignRegionToFaces(face=[Face[4]],
                    region=RegionFace['TURNS_2'])

assignRegionToFaces(face=[Face[5]],
                    region=RegionFace['TURNS_3'])

assignRegionToFaces(face=[Face[6]],
                    region=RegionFace['TURNS_4'])

assignRegionToFaces(face=[Face[7]],
                    region=RegionFace['TURNS_5'])

assignRegionToFaces(face=[Face[8]],
                    region=RegionFace['TURNS_6'])

assignRegionToFaces(face=[Face[9]],
                    region=RegionFace['TURNS_7'])

assignRegionToFaces(face=[Face[10]],
                    region=RegionFace['TURNS_8'])

assignRegionToFaces(face=[Face[11]],
                    region=RegionFace['TURNS_9'])

assignRegionToFaces(face=[Face[12]],
                    region=RegionFace['TURNS_10'])

assignRegionToFaces(face=[Face[13]],
                    region=RegionFace['TURNS_11'])

assignRegionToFaces(face=[Face[14]],
                    region=RegionFace['TURNS_12'])

assignRegionToFaces(face=[Face[15]],
                    region=RegionFace['TURNS_13'])

assignRegionToFaces(face=[Face[16]],
                    region=RegionFace['TURNS_14'])

assignRegionToFaces(face=[Face[17]],
                    region=RegionFace['TURNS_15'])

lastInstance = ParameterGeom(name='thickness_copper_armature',
              expression='2.9')

deleteMesh()

Point[9].uvw=['45.5',
              '17.1+THICKNESS_COPPER_ARMATURE',
              '0']


Point[6].uvw=['19.5003180289295',
              '17.1+THICKNESS_COPPER_ARMATURE',
              '0']

meshDomain()

result = checkPhysic()

saveProjectAs('Physicsbuild.FLU')




