#! Flux2D 18.0
displayIsovalues()

EvolutiveCurve3D(name='Electromagnetic_force',
                 evolutivePath=EvolutivePath(parameterSet=[SetParameterYVariable(paramEvol=VariationParameter['THICKNESS_COPPER_ARMATURE'],
                                                                                 limitMin=1.0,
                                                                                 limitMax=2.9),
                                                           SetParameterXVariable(paramEvol=VariationParameter['TIME'],
                                                                                 limitMin=0.0,
                                                                                 limitMax=5.0E-4)]),
                 formula=['ForceElecMag(MOBILE)'])

EvolutiveCurve3D(name='Current_in_Coil',
                 evolutivePath=EvolutivePath(parameterSet=[SetParameterYVariable(paramEvol=VariationParameter['THICKNESS_COPPER_ARMATURE'],
                                                                                 limitMin=1.0,
                                                                                 limitMax=2.9),
                                                           SetParameterXVariable(paramEvol=VariationParameter['TIME'],
                                                                                 limitMin=0.0,
                                                                                 limitMax=5.0E-4)]),
                 formula=['I(SOLIDCONDUCTOR2TERMINALS_1)'])


EvolutiveCurve3D(name='Position',
                 evolutivePath=EvolutivePath(parameterSet=[SetParameterYVariable(paramEvol=VariationParameter['THICKNESS_COPPER_ARMATURE'],
                                                                                 limitMin=1.0,
                                                                                 limitMax=2.9),
                                                           SetParameterXVariable(paramEvol=VariationParameter['TIME'],
                                                                                 limitMin=0.0,
                                                                                 limitMax=5.0E-4)]),
                 formula=['LinPos(MOBILE)'])
				 
CurveVariation3D['Current_in_Coil'].exportTXT(txtFile='result/Current_in_Coil',
          mode='replace')
		  
CurveVariation3D['Position'].exportTXT(txtFile='result/Position',
          mode='replace')
		  
CurveVariation3D['Electromagnetic_force'].exportTXT(txtFile='result/Electromagnetic_force',
          mode='replace')
		  
saveProjectAs('PostProcessed.FLU')